#
# spec file for package perl-Date-Holidays-DE
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Date-Holidays-DE
Version:        1.9
Release:        1.1
#Upstream: CHECK(GPL-1.0+ or Artistic-1.0)
%define cpan_name Date-Holidays-DE
Summary:        Determine German holidays
License:        ICS
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Date-Holidays-DE/
Source0:        http://www.cpan.org/authors/id/M/MS/MSCHMITT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Date::Calc) >= 5
Requires:       perl(Date::Calc) >= 5
%{perl_requires}

%description
This module exports a single function named *holidays()* which returns a
list of German holidays in a given year.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes example README

%changelog
* Wed Sep 28 2016 coolo@suse.com
- updated to 1.9
  see /usr/share/doc/packages/perl-Date-Holidays-DE/Changes
  v1.8.3  Mon Sep 19 21:25:02 CEST 2016
  - Removed hard Date::Calc version dependency
  v1.9    Tue Sep 27 09:42:43 CEST 2016
  - Version bump in a desperate attempt to fix some inconsistency
* Tue Sep 20 2016 coolo@suse.com
- updated to 1.8
  see /usr/share/doc/packages/perl-Date-Holidays-DE/Changes
* Thu Jan 14 2016 coolo@suse.com
- set the license to ISC
* Wed Jan 13 2016 coolo@suse.com
- updated to 1.7
  see /usr/share/doc/packages/perl-Date-Holidays-DE/Changes
  v1.7	Wed Jan  6 19:40:18 CET 2016
  - Added reformation day as one-time common federal holiday in 2017
  - Thanks to Christoph Biedl
* Wed Apr 25 2012 lars@linux-schulserver.de
- initial package 1.6
  * created by cpanspec 1.78.06
